Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.portlet.aspects.portlet
Class ContextDispatcherInterceptor

    java.lang.Object
      org.jboss.portal.portlet.invocation.PortletInterceptor
          org.jboss.portal.portlet.aspects.portlet.ContextDispatcherInterceptor

All Implemented Interfaces:
  Interceptor

    public class ContextDispatcherInterceptor

extends PortletInterceptor

This interceptor dispatch the call to the target web application.

Version:
  $Revision: 7226 $
Author:
  Julien Viet

Field Summary
`static java.lang.String` | `REQ_ATT_COMPONENT_INVOCATION` .

Constructor Summary
`ContextDispatcherInterceptor()`

Method Summary
`ServletContainerFactory` | `getServletContainerFactory()`
`protected java.lang.Object` | `invoke(PortletInvocation invocation)`
`void` | `setServletContainerFactory(ServletContainerFactory servletContainerFactory)`

Methods inherited from class org.jboss.portal.portlet.invocation.PortletInterceptor
`invoke`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### REQ_ATT_COMPONENT_INVOCATION

    public static final java.lang.String REQ_ATT_COMPONENT_INVOCATION

  .

  See Also:
    Constant Field Values

Constructor Detail

### ContextDispatcherInterceptor

    public ContextDispatcherInterceptor()

Method Detail

### getServletContainerFactory

    public ServletContainerFactory getServletContainerFactory()

### setServletContainerFactory

    public void setServletContainerFactory(ServletContainerFactory servletContainerFactory)

### invoke

    protected java.lang.Object invoke(PortletInvocation invocation)
                               throws java.lang.Exception,
                                      InvocationException

  Specified by:
    `invoke` in class `PortletInterceptor`
  Throws:
    `java.lang.Exception`
    `InvocationException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD